import request from '@/utils/request'

// 查询立项管理成员列表
export function listMember(query) {
  return request({
    url: '/buyer/member/list',
    method: 'get',
    params: query
  })
}

// 查询立项管理成员详细
export function getMember(id) {
  return request({
    url: '/buyer/member/' + id,
    method: 'get'
  })
}

// 新增立项管理成员
export function addMember(data) {
  return request({
    url: '/buyer/member',
    method: 'post',
    data: data
  })
}

// 修改立项管理成员
export function updateMember(data) {
  return request({
    url: '/buyer/member',
    method: 'put',
    data: data
  })
}

// 删除立项管理成员
export function delMember(id) {
  return request({
    url: '/buyer/member/' + id,
    method: 'delete'
  })
}
